Bug 1084215 - unsupported configuration: CPU specification not supported by hypervisor
Summary: unsupported configuration: CPU specification not supported by hypervisor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2014-04-03 21:44 UTC by Richard W.M. Jones
Modified: 2015-05-31 19:15 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-31 19:15:36 UTC
Type: Bug


Attachments (Terms of Use)
virsh capabilities output (as root) (5.29 KB, text/plain)
2014-04-03 21:45 UTC, Richard W.M. Jones
no flags Details
Output log (as root), which includes libvirt XML (6.72 KB, text/plain)
2014-04-03 21:45 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2014-04-03 21:44:17 UTC
Description of problem:

libvirt cannot create a guest when run inside a virtual machine.

The error is:
unsupported configuration: CPU specification not supported by hypervisor [code=67 domain=10]

Full log below includes libvirt XML and libvirt capabilities.

Version-Release number of selected component (if applicable):

libvirt 1.1.3-4.fc20.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Install a fresh Fedora 20 installation in a VM.
2. Install libguestfs.
3. libguestfs-test-tool (or any libguestfs program).

Note:

I am running the VM by hand like this:

sudo qemu-system-x86_64 -hda fedora-20.img -m 512

Comment 1 Richard W.M. Jones 2014-04-03 21:45:11 UTC
Created attachment 882464 [details]
virsh capabilities output (as root)

Comment 2 Richard W.M. Jones 2014-04-03 21:45:47 UTC
Created attachment 882465 [details]
Output log (as root), which includes libvirt XML

Comment 3 Fedora End Of Life 2015-05-29 11:27:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Cole Robinson 2015-05-31 19:15:36 UTC
Rich I'm assuming you don't hit this issue anymore, so closing


Note You need to log in before you can comment on or make changes to this bug.